org.eclnt.jsfserver.elements.componentnodes

## Class ROWNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWNode` | `bindActionListener(IActionListenerDelegation value)`
    `ROWNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `ROWNode` | `bindCascaderenderedfalse(IDynamicContentBindingObject value)`
    `ROWNode` | `bindColdistance(IDynamicContentBindingObject value)`
    `ROWNode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWNode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `ROWNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `ROWNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `ROWNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `ROWNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWNode` | `setActionListener(java.lang.String value)`
    `ROWNode` | `setAdapterbinding(java.lang.String value)`
    `ROWNode` | `setAttributemacro(java.lang.String value)`
    `ROWNode` | `setCascaderenderedfalse(boolean value)`
    `ROWNode` | `setCascaderenderedfalse(java.lang.String value)`
    `ROWNode` | `setColdistance(int value)`
    `ROWNode` | `setColdistance(java.lang.String value)`
    `ROWNode` | `setComment(java.lang.String value)`
    `ROWNode` | `setComponentbinding(java.lang.String value)`
    `ROWNode` | `setConfiginfo(java.lang.String value)`
    `ROWNode` | `setFlusharea(boolean value)`
    `ROWNode` | `setFlusharea(java.lang.String value)`
    `ROWNode` | `setHelpid(java.lang.String value)`
    `ROWNode` | `setId(java.lang.String value)`
    `ROWNode` | `setPopupmenu(java.lang.String value)`
    `ROWNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `ROWNode` | `setReference(java.lang.String value)`
    `ROWNode` | `setRendered(boolean value)`
    `ROWNode` | `setRendered(java.lang.String value)`
    `ROWNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWNode

          public ROWNode()

  - ### Method Detail

    - #### setId

          public ROWNode setId(java.lang.String value)

    - #### setActionListener

          public ROWNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ROWNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public ROWNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public ROWNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public ROWNode setAttributemacro(java.lang.String value)

    - #### setCascaderenderedfalse

          public ROWNode setCascaderenderedfalse(java.lang.String value)

    - #### bindCascaderenderedfalse

          public ROWNode bindCascaderenderedfalse(IDynamicContentBindingObject value)

    - #### setCascaderenderedfalse

          public ROWNode setCascaderenderedfalse(boolean value)

    - #### setColdistance

          public ROWNode setColdistance(java.lang.String value)

    - #### bindColdistance

          public ROWNode bindColdistance(IDynamicContentBindingObject value)

    - #### setColdistance

          public ROWNode setColdistance(int value)

    - #### setComment

          public ROWNode setComment(java.lang.String value)

    - #### bindComment

          public ROWNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public ROWNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public ROWNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROWNode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public ROWNode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROWNode setFlusharea(boolean value)

    - #### setHelpid

          public ROWNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public ROWNode bindHelpid(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public ROWNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public ROWNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public ROWNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public ROWNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public ROWNode setReference(java.lang.String value)

    - #### setRendered

          public ROWNode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWNode setRendered(boolean value)

    - #### setStylevariant

          public ROWNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.